Builds
Get build download URLs
Get temporary presigned download URLs for a build's files. Includes expansion files and universal APK when available. Requires builds:read scope.
GET
/applications/{application_id}/builds/{build_id}/downloadAuthorization
bearerAuth AuthorizationBearer <token>
API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.
In: header
Path Parameters
application_id*string
Application ID.
build_id*string
Build ID.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.comapplications/aBc1234/builds/xYz9876/download" \ -H "Authorization: Bearer YOUR_API_KEY"{ "message": "Successfully retrieved temporary download URLs.", "primary_file": { "temp_url": "https://buildstash.s3.amazonaws.com/aBc1234/xYz9876/example.exe?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAEXAMPLE%2F20250615%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20250615T143000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=abc123", "filename": "example.exe", "size_bytes": 52428800 }}{ "message": "Unauthorized"}{ "message": "This action requires 'resource:action' scope."}Empty